Resolve issue where Spectrum cannot be restarted after applying Spectrum 8.0.0 S38 patch

Operating System: AIX
 

Issue

Spectrum could not be restarted after applying the S38 patch for Spectrum 8.0 SP3

Cause

Wrapper.log indicates the following:

STATUS | wrapper | 2014/06/05 08:12:32 | --> Wrapper Started as Daemon 
STATUS | wrapper | 2014/06/05 08:12:32 | Java Service Wrapper Standard Edition 64-bit 3.5.24 
STATUS | wrapper | 2014/06/05 08:12:32 | Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved. 
STATUS | wrapper | 2014/06/05 08:12:32 | http://wrapper.tanukisoftware.com 
STATUS | wrapper | 2014/06/05 08:12:32 | 
ERROR | wrapper | 2014/06/05 08:12:32 | License Error: 
ERROR | wrapper | 2014/06/05 08:12:32 | The License Key does not authorize the use of this version of the Wrapper. 
ERROR | wrapper | 2014/06/05 08:12:32 | Upgrade term is 2010-03-04 to 2011-03-04. This version's release date is 2014-01-08. 
ERROR | wrapper | 2014/06/05 08:12:32 | 
ERROR | wrapper | 2014/06/05 08:12:32 | The Java Service Wrapper requires a License Key to activate the 
ERROR | wrapper | 2014/06/05 08:12:32 | software. License Keys can be purchased on the Java Service Wrapper 
ERROR | wrapper | 2014/06/05 08:12:32 | web site: 
ERROR | wrapper | 2014/06/05 08:12:32 | http://wrapper.tanukisoftware.com/purchase 
ERROR | wrapper | 2014/06/05 08:12:32 | 
ERROR | wrapper | 2014/06/05 08:12:32 | You can also immediately obtain a one-month Free trial license: 
ERROR | wrapper | 2014/06/05 08:12:32 | http://wrapper.tanukisoftware.com/trial 
ERROR | wrapper | 2014/06/05 08:12:32 | 
ERROR | wrapper | 2014/06/05 08:12:32 | License Keys can be generated for any of the following HostIds. 
ERROR | wrapper | 2014/06/05 08:12:32 | HostId(s): 
ERROR | wrapper | 2014/06/05 08:12:32 | 9a5be1b66f02 (en2) 
ERROR | wrapper | 2014/06/05 08:12:32 | 
ERROR | wrapper | 2014/06/05 08:12:32 | 
ERROR | wrapper | 2014/06/05 08:12:32 | Optional host name for license: adaha089 
STATUS | wrapper | 2014/06/05 08:12:32 | <-- Wrapper Stopped 

The wrapper.conf file has not been correctly setup.

Resolution

UPDATED: October 20, 2017
After reviewing wrapper.conf file, the wrapper license parameters showed the following: 
wrapper.license.type=DEV
wrapper.license.id=201003160005
wrapper.license.licensee=PBBI
wrapper.license.dev_application=Spectrum
wrapper.license.features=64bit
wrapper.license.upgrade_term.begin_date=2010-03-04
wrapper.license.upgrade_term.end_date=2011-03-04
wrapper.license.key.1=340c-9ad4-e044-6dc1
wrapper.license.key.2=f733-04fb-c828-81f7
wrapper.license.key.3=d6f3-e829-ffab-f9d9
wrapper.license.key.4=cc0d-127c-c228-154a

S38 patch Release Notes explicitly state that these should be changed to the following:
wrapper.license.type=DEV
wrapper.license.id=201405210011
wrapper.license.licensee=PBBI
wrapper.license.dev_application=Spectrum
wrapper.license.features=64bit
wrapper.license.upgrade_term.begin_date=2010-03-04
wrapper.license.upgrade_term.end_date=2015-03-04
wrapper.license.key.1=8a27-7bd8-65a6-cf19
wrapper.license.key.2=b635-441c-1fe2-30d4
wrapper.license.key.3=c911-40d5-674b-5997
wrapper.license.key.4=ae41-6fdb-a0ee-c0bf

Correcting the wrapper.conf remedied the problem.